<?

/**
 * $Id: CacheParam.mod.php 394 2008-05-28 19:28:03Z dakl $
 * Paramerty chache dla poszczegolnych elementow
 *
 */
class CacheParam {
	/**
	 * Globalny parametr uzywany wszedzie tam, gdzie nie jest zdefiniowane inaczej
	 *
	 * @var unknown_type
	 */
	public static $global = '30';
	/**
	 * Cache dla strony z modelkami
	 *
	 * @var unknown_type
	 */
	public static $modelkiController = '10';
	/**
	 * Cache dla bloku polecamy
	 *
	 * @var unknown_type
	 */
	public static $sharedRecommend = '60';
	/**
	 * Cache dla strony glownej
	 *
	 * @var unknown_type
	 */
	public static $indexController = '10';
	
	
	/**
	 * Metoda do pobierania konkretnego parametru
	 *
	 * @param string $param
	 * @return int
	 */
	public static function Get($param) {
		if(isset(self::$$param)) {
			return self::$$param;
		}
		else {
			return self::$global;
		}
	}
}


?>